using System;

namespace inheritanceproject
{
	/// <summary>
	/// Summary description for InputForm.
	/// </summary>
	public class InputForm : System.Web.UI.Page
	{
		public InputForm()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		protected void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize
			// the page here
			string script = @"
<SCRIPT>
   function fnOpen(control){
      var result = window.showModalDialog(
      'quickentry.htm','','dialogHeight=10');
      if (result != null)
      {
         var oOption = document.createElement(
         'OPTION');
         window.document.forms[0].elements[control].
         options.add(oOption);
         oOption.innerText = result;
         oOption.Value = result;
         oOption.selected = true;
      }
   }
</SCRIPT>";
		
			this.Page.RegisterClientScriptBlock("quickentry",script);		
		}

	}
}
